#### D.4.11.16 kohom

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  kohom(A,k); A=matrix, k=integer

Return:
  matrix Hom(R^k,A), i.e. let A be a matrix defining a map F1-->F2 of free R-modules, then the matrix of Hom(R^k,F1)-->Hom(R^k,F2) is computed (R=basering).

Example:

    LIB "homolog.lib";
    ring r;
    matrix n[2][3]=x,y,5,z,77,33;
    print(kohom(n,3));
    ==> x,0,0,y, 0, 0, 5, 0, 0,
    ==> 0,x,0,0, y, 0, 0, 5, 0,
    ==> 0,0,x,0, 0, y, 0, 0, 5,
    ==> z,0,0,77,0, 0, 33,0, 0,
    ==> 0,z,0,0, 77,0, 0, 33,0,
    ==> 0,0,z,0, 0, 77,0, 0, 33

User manual for Singular version 4.4.1, 2025, generated by texi2html.